import 'package:flame/game.dart';
import 'package:flutter/material.dart';

import '../../../common/widgets/floating_menu_button.dart';
import '../business/flame/rogue_shooter/rogue_shooter_game.dart';

class RogueShooterScreen extends StatefulWidget {
  const RogueShooterScreen({super.key});

  @override
  State<RogueShooterScreen> createState() => _RogueShooterScreenState();
}

class _RogueShooterScreenState extends State<RogueShooterScreen> {
  @override
  Widget build(BuildContext context) {
    return Scaffold(
      body: Stack(children: [
        GameWidget(game: RogueShooterGame()),
        const FloatingMenuButton(),
      ]),
    );
  }
}
